#include <iostream>
#include <stdexcept>

void exceptionThrower() {
    throw std::runtime_error("Exception thrown!");
}

void intermediateFunction() {
    exceptionThrower();
}

int main() {
    try {
        intermediateFunction();
    } catch (const std::exception& e) {
        std::cout << "Caught exception: " << e.what() << std::endl;
    }
    return 0;
}
